gicOpen(3)

NAME
gicOpen, gicClose : Open and close a recognizer

SYNOPSIS
#include <ggi/gic.h>
gic_handle_t gicOpen(const char *recognizers,...);
int gicClose(gic_handle_t hand);

DESCRIPTION
gicOpen opens a recognizer. This function is given the name of an recognizer driver to load. If only NULL is specified, the default recognizer target is opened. The optional arguments are a NULL-terminated list of pointers, which are used to give additional information to the targets. Currently only the first pointer is specified: void * argptr, a pointer to a library-specific struct. It is used to pass parameters that are not easily transferable in textual form. Parameters which can be represented in text format are usually transfered in the input parameter, in the format: library_name:arguments gicClose releases and destroys an open recognizer and its associated internal control structures. This will put back input streams to their default modes, etc.

RETURN VALUE
gicOpen returns the opened recognizer or NULL for error. The gic_handle_t type is opaque to the programmer and can only be used through GIC functions. gicClose returns GGI_OK (== 0) for OK, otherwise an gii-error(3) code.

SEE ALSO
gicInit(3)